package org.bench4q.share.models.agent.scriptrecord;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "batch")
public class BatchModel {
	private int id;
	private int parentId;
	private int childId;
	private List<BehaviorModel> behaviors = new ArrayList<BehaviorModel>();

	@XmlElement
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	@XmlElement
	public int getParentId() {
		return parentId;
	}

	public void setParentId(int parentBatchId) {
		this.parentId = parentBatchId;
	}

	@XmlElement
	public int getChildId() {
		return childId;
	}

	public void setChildId(int childId) {
		this.childId = childId;
	}

	@XmlElementWrapper(name = "behaviors")
	@XmlElement(name = "behaviorModel")
	public List<BehaviorModel> getBehaviors() {
		return behaviors;
	}

	public void setBehaviors(List<BehaviorModel> behaviors) {
		this.behaviors = behaviors;
	}
	
	public BatchModel(int id){
		this.id = id;
		this.behaviors = new ArrayList<BehaviorModel>();
	}
	public BatchModel(){
		
	}
}
